Conversation
|
Important Review skippedAuto incremental reviews are disabled on this repository. Please check the settings in the CodeRabbit UI or the You can disable this status message by setting the 📝 WalkthroughWalkthroughUpdated a documentation file (cloud-controlplane/x-topics/quickstart.md): corrected a “See also” link to point to /api/doc/cloud-dataplane/topic/topic-quickstart and fixed a bullet formatting issue in the Suggested reading section by replacing a stray double-dash with a single bullet marker. Estimated code review effort🎯 1 (Trivial) | ⏱️ ~2 minutes Possibly related PRs
Suggested reviewers
✨ Finishing Touches🧪 Generate unit tests
🪧 TipsChatThere are 3 ways to chat with CodeRabbit:
SupportNeed help? Create a ticket on our support page for assistance with any issues or questions. CodeRabbit Commands (Invoked using PR/Issue comments)Type Other keywords and placeholders
CodeRabbit Configuration File (
|
There was a problem hiding this comment.
Actionable comments posted: 0
🧹 Nitpick comments (1)
cloud-controlplane/x-topics/quickstart.md (1)
89-89: Fix stray backtick in inline code formattingThere’s an extra backtick before https:// which breaks the inline code formatting.
Apply this diff to fix the formatting:
-1. From the value of `dataplane_api.url` in the response body, save the subdomain (the part between ``https://` and `.cloud.redpanda.com`). +1. From the value of `dataplane_api.url` in the response body, save the subdomain (the part between `https://` and `.cloud.redpanda.com`).
📜 Review details
Configuration used: CodeRabbit UI
Review profile: CHILL
Plan: Pro
📒 Files selected for processing (1)
cloud-controlplane/x-topics/quickstart.md(1 hunks)
🧰 Additional context used
🪛 LanguageTool
cloud-controlplane/x-topics/quickstart.md
[grammar] ~98-~98: There might be a mistake here.
Context: ...rking/) for BYOC and Dedicated clusters. - Manage [authentication and authorization...
(QB_NEW_EN)
🔇 Additional comments (2)
cloud-controlplane/x-topics/quickstart.md (2)
94-94: Link fix looks correct and aligns with API docs pathingThe updated “See also” link now points to the expected /api/doc/cloud-dataplane/topic/topic-quickstart path.
If you want to double-check for broken links during CI or locally, consider running a markdown link checker over the docs directory.
100-100: Bullet formatting fix improves readabilityReplacing the stray double-dash with a proper bullet is correct; the link and anchor look good.
… kbatuigas-patch-1
|
@kbatuigas this one is good to merge. The Bump team will add support for feedback links in HTTP and SR APIs. |
This pull request introduces feedback links to various API documentation overlays, enabling users to easily report documentation issues via GitHub. Additionally, it updates a quickstart guide link to ensure correct navigation.
Enhancements to API documentation:
shared/overlays/cloud-add-feedback-link.yamlto provide a feedback button in the Control Plane and Data Plane API docs, allowing users to submit documentation update requests through GitHub.shared/overlays/sm-add-feedback-link.yamlto provide a feedback button in the HTTP Proxy, Schema Registry, and Admin API docs for reporting documentation issues.Documentation fixes:
cloud-controlplane/x-topics/quickstart.mdto point to the correct Data Plane API Quickstart documentation.